
Infrastructure - Task #1722

Story # 2036 (Closed): Stress testing of components

Stress test that uses certs and works against any MN

2011-08-26 15:34 - Roger Dahl

Status: Closed Start date: 2011-08-26

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.27-Block.4.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Create stress test framework in Python that uses certificates for testing and that works against any MN implementation.

History

#1 - 2011-08-26 15:36 - Roger Dahl

- Status changed from New to In Progress

#2 - 2011-09-09 03:59 - Roger Dahl

- Priority changed from Normal to High

Need to set this up with certs generated by d1_certificate_manager. My test certs use the standard Netscape Comment field (nsComment) as

the location of the Session (because I could not find a way to create arbitrary extensions with pyOpenSSL).

#3 - 2011-10-25 22:11 - Rob Nahf

- Parent task changed from #907 to #804

#4 - 2011-11-15 03:51 - Dave Vieglais

- Parent task changed from #804 to #2036

#5 - 2011-11-15 03:52 - Dave Vieglais

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

Previous parent was #804. Moved to stress testing story rather than integration testing.

#6 - 2012-04-13 14:50 - Roger Dahl

- Status changed from In Progress to Closed
